Bug 7114 - [UPDATE REQUEST] qt5 5.6.0 -> 5.6.1
: [UPDATE REQUEST] qt5 5.6.0 -> 5.6.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-12 21:10 MSD by Andrey Bondrov
Modified: 2016-06-20 18:06 MSD (History)
2 users (show)

See Also:
RPM Package: various
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-06-12 21:10:05 MSD
New version of Qt 5 was released.

Please use this repository for testing:
http://abf-downloads.rosalinux.ru/qt5_backports_personal/repository/rosa2014.1/

I guess this time it's OK to update without containers.
Comment 1 Vladimir Potapov 2016-06-17 19:12:01 MSD
qtcreator падает при открытии настроек

qtcreator
file:///usr/share/qtcreator/welcomescreen/welcomescreen.qml:41:5: Type SideBar unavailable 
         SideBar { 
         ^
file:///usr/share/qtcreator/welcomescreen/widgets/SideBar.qml:33:1: module "QtQuick.Layouts" is not installed 
     import QtQuick.Layouts 1.0 
     ^
Ошибка сегментирования (слепок снят)
Comment 2 Алзим 2016-06-17 21:08:10 MSD
Qt Creator надо новый собирать.
(Впрочем, уже как и сам фреймворк, который только что вышел. https://www.linux.org.ru/news/opensource/12670981)
Как я понимаю, Qt Creator и фреймворк собираются параллельно. Для новой версий фреймворка свой Qt Creator.
В РОСЕ Qt Creator старый. Версия 3.6.1
Comment 3 Andrey Bondrov 2016-06-17 21:56:14 MSD
(In reply to comment #1)
> qtcreator
> file:///usr/share/qtcreator/welcomescreen/welcomescreen.qml:41:5: Type
> SideBar unavailable 
>          SideBar { 
>          ^
> file:///usr/share/qtcreator/welcomescreen/widgets/SideBar.qml:33:1: module
> "QtQuick.Layouts" is not installed 
>      import QtQuick.Layouts 1.0 
>      ^

Прописал в зависимостях qt5-qtquickcontrols-qml, чтобы такого не было. Для rosa2016.1 добавлю в RPM генератор зависимостей для QML, чтобы автоматически их определять при сборке.

> Ошибка сегментирования (слепок снят)

А это уже другая проблема, воспроизвёл её и сейчас посмотрю, исправляется ли она обновлением Qt Creator.
Comment 4 Andrey Bondrov 2016-06-17 23:08:04 MSD
(In reply to comment #2)
> Qt Creator надо новый собирать.
> (Впрочем, уже как и сам фреймворк, который только что вышел.
> https://www.linux.org.ru/news/opensource/12670981)

Для rosa2014.1 останемся на ветке 5.6.x, т.к. для неё ещё много корректирующих релизов будет выходить. А 5.7+ будет уже для rosa2016.1.

> Как я понимаю, Qt Creator и фреймворк собираются параллельно.
> Для новой версий фреймворка свой Qt Creator.
> В РОСЕ Qt Creator старый. Версия 3.6.1

Вроде бы нет совсем жёсткой привязки версии Qt Creator к версии Qt. Скорее всего можно было бы просто пересобрать Qt Creator 3.6.1 с Qt 5.6.1 и сегфолта бы больше не было (т.к. Qt Creator использует некоторые private-интерфейсы Qt, обратная совместимость которых иногда ломается при смене версий Qt). Но я сразу обновил до 4.0.2, сейчас собирается на ABF. Локальную сборку уже проверил, больше не падает при открытии настроек.
Comment 5 Andrey Bondrov 2016-06-18 07:26:12 MSD
Отправил Qt Creator на QA с высоким приоритетом: http://bugs.rosalinux.ru/show_bug.cgi?id=7132
Comment 6 Vladimir Potapov 2016-06-20 18:06:00 MSD
The update is sent to repos without QA :-(